import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class Main {

	private static String ReadFile(String filename) {
		File file = new File(filename);
		StringBuffer content = new StringBuffer();
		BufferedReader reader = null;

		try {
			reader = new BufferedReader(new FileReader(file));
			String s = null;

			while ((s = reader.readLine()) != null) {
				content.append(s).append(System.getProperty("line.separator"));
			}
		} catch (FileNotFoundException e) {
			System.out.println("File not found:" + filename);
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			try {
				if (reader != null) {
					reader.close();
				}
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return content.toString();
	}
	
	public static void main(String[] args) {
		String s1,s2;
		int l = 1;
		boolean found = false;
		boolean atLeastOneFound = false;
		if (args.length != 3) {
			System.out.println("Call with length and 2 file names eg. java -jar gZi2tDf.jar 10 t1.txt t2.txt");
			return;
		}
		l = Integer.parseInt(args[0]);
		s1 = ReadFile(args[1]);
		s2 = ReadFile(args[2]);
		for (int i = 0; i< s1.length() - l ; i ++){
			String sub = s1.substring(i, i+l);
			if (s2.contains(sub)) {
				if (!found)
					System.out.println(sub + " ...");
				found = true;
				atLeastOneFound = true;
			} else {
				found = false;
			}
		}
		if (!atLeastOneFound)
			System.out.println("Nothing found!");

	}

}
